Bug 21054 - Extra closing body tag in sco-main.tt prevents slip printing
Summary: Extra closing body tag in sco-main.tt prevents slip printing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16732
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-09 13:24 UTC by Nick Clemens
Modified: 2018-09-24 13:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21054: Remove extraneous </body> tag from sco-main.tt (1.04 KB, patch)
2018-07-09 13:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21054: Remove extraneous </body> tag from sco-main.tt (1.11 KB, patch)
2018-07-12 10:01 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-07-09 13:24:34 UTC
Bug 16732 added an extra closing body tag to sco-main.tt 

Bug 18387 notes that page errors kick the SCO user out.

The extra body tag creates an html error and prevents receipt printing
Comment 1 Nick Clemens 2018-07-09 13:26:48 UTC
Created attachment 76793 [details] [review]
Bug 21054: Remove extraneous </body> tag from sco-main.tt

To test:
1 - Enable sco and setup AutoSelfCheck
2 - Try to use self checkout and print receipt
3 - You shoudl be redirected to the login page
4 - Apply patch and restart all the things
5 - Try to use self checkout and print a receipt
6 - Success!
Comment 2 Martin Renvoize 2018-07-12 10:01:31 UTC
Created attachment 76880 [details] [review]
Bug 21054: Remove extraneous </body> tag from sco-main.tt

To test:
1 - Enable sco and setup AutoSelfCheck
2 - Try to use self checkout and print receipt
3 - You shoudl be redirected to the login page
4 - Apply patch and restart all the things
5 - Try to use self checkout and print a receipt
6 - Success!

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2018-07-12 10:01:59 UTC
Very trivial fix, works as expected, Signing Off.
Comment 4 Martin Renvoize 2018-07-12 10:19:52 UTC
So trivial I've decided to just pass qa directly.
Comment 5 Nick Clemens 2018-07-13 11:27:12 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-07-15 18:42:08 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin SOMERS 2018-07-26 07:57:36 UTC
Pushed to 17.11.x for 17.11.08

I'm trying to visualize a body without bottom XD
Comment 8 Fridolin SOMERS 2018-09-24 13:24:55 UTC
Pushed to 17.05.x for 17.05.14